<template>
  <footer class="footer">
    <div
      class="footer-top"
      :class="[isUserLayout ? 'container' : 'container-fluid']"
    >
      <ul class="list-unstyled">
        <li><nuxt-link to="/">Главная</nuxt-link></li>
        <li><nuxt-link to="/about">О проекте</nuxt-link></li>
        <li><nuxt-link to="/selections">Подборки</nuxt-link></li>
      </ul>
      <ul class="list-unstyled ms-auto me-auto me-md-0 mt-3 mt-md-0">
        <li><a href="#">Связаться с владельцем</a></li>
      </ul>
    </div>
    <div class="footer-bottom">
      <div class="container">
        <span class="footer-copyright">© Все права защищены</span>
        <span class="footer-policy">
          <nuxt-link to="/policy">Политика конфиденциальности</nuxt-link>
        </span>
        <span class="footer-social d-none d-md-block">
          <a href="#">
            <i class="icon-socials-telegram"></i>
          </a>
        </span>
      </div>
    </div>
  </footer>
</template>

<script>
export default {
  name: 'TheFooter',
  computed: {
    /** @return {String} Текущий файл разметки */
    isUserLayout() {
      return this.$nuxt.$data.layoutName === 'user'
    },
  },
}
</script>

<style></style>
